MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031370Open CASCADE[OCCT] OCCT:Documentationpublic2020-02-12 17:142020-07-02 10:34
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0* 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031370: Documentation - provide information about PBR implementation
DescriptionPBR has been introduced by 0030700, however some details of this implementation are missing and should be documented.

This can be put as dedicated article referred by dox/user_guides/visualization/visualization.md.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0031645assignediko Documentation - provide external article references to PBR developer guide 
child of 0030700verifiedapn Visualization, TKOpenGl - support PBR Metallic-Roughness shading model 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0090610)
git (administrator)
2020-02-21 13:25

Branch CR31370 has been created by iko.

SHA-1: e0748ffb10e5c6e97bfce88128f89ef300d8702c


Detailed log of new commits:

Author: iko
Date: Fri Feb 21 13:24:28 2020 +0300

    # work in progress
(0090679)
git (administrator)
2020-02-25 17:45

Branch CR31370 has been updated forcibly by iko.

SHA-1: 00634895fbf14a3cd02d710c5d2e2ca80840d4f2
(0092630)
git (administrator)
2020-06-21 14:18

Branch CR31370 has been updated forcibly by kgv.

SHA-1: 11355be4eadfb11d0bfd6e1815e55b45d02420bc
(0092631)
git (administrator)
2020-06-21 15:03

Branch CR31370 has been updated by kgv.

SHA-1: 189544c04c5bdd2505a0324c43065c16e11dbdaa


Detailed log of new commits:

Author: kgv
Date: Sun Jun 21 15:05:24 2020 +0300

    # spellcheck

(0092632)
git (administrator)
2020-06-21 17:25

Branch CR31370 has been updated by kgv.

SHA-1: 66a589c309d06683aaf2c264fd01057d69f38790


Detailed log of new commits:

Author: kgv
Date: Sun Jun 21 17:26:55 2020 +0300

    # cosmetics

(0092644)
git (administrator)
2020-06-22 12:31

Branch CR31370 has been updated by kgv.

SHA-1: cdf2c7c40f486b11fd7ac1af223c942759aedef0


Detailed log of new commits:

Author: kgv
Date: Mon Jun 22 12:32:52 2020 +0300

    # Preface

(0092646)
git (administrator)
2020-06-22 13:05

Branch CR31370 has been updated forcibly by kgv.

SHA-1: 7fcb11b6f9a1538ded3aa0bc8cadbda217df72cc
(0092647)
git (administrator)
2020-06-22 13:17

Branch CR31370 has been updated forcibly by kgv.

SHA-1: 65df680ae5e2db3cd05be0007c109943b3ccee3e
(0092649)
git (administrator)
2020-06-22 13:25

Branch CR31370 has been updated forcibly by kgv.

SHA-1: 7aa4fa730c601d3fae875f52cb8758de3d94673f
(0092653)
git (administrator)
2020-06-22 14:38

Branch CR31370 has been updated forcibly by kgv.

SHA-1: 947037020fa0d6e5ef91cb1678be671ac4bc23b2
(0092656)
git (administrator)
2020-06-22 14:58

Branch CR31370 has been updated forcibly by kgv.

SHA-1: e6d2fc27497c721c6a956937014446b15552261a
(0092665)
git (administrator)
2020-06-22 18:30

Branch CR31370 has been updated forcibly by kgv.

SHA-1: 33b28d62e3c9a70bfb6f93625afc55f5cd89ad9b
(0092667)
git (administrator)
2020-06-22 18:45

Branch CR31370 has been updated forcibly by kgv.

SHA-1: b77a96dd850f3dc9c95d8f4fe3f4d16a8d3ba4fc
(0092668)
git (administrator)
2020-06-22 18:59

Branch CR31370 has been updated forcibly by kgv.

SHA-1: 3fe5f5ebe8fe7514ecae2ffdbea9fcf020c5cf25
(0092669)
git (administrator)
2020-06-22 19:09

Branch CR31370 has been updated by kgv.

SHA-1: 40c9acd74be8eca073e87addda92cb9f1b1958f8


Detailed log of new commits:

Author: kgv
Date: Mon Jun 22 19:10:43 2020 +0300

    # move to Developer Guides

(0092670)
git (administrator)
2020-06-22 19:10

Branch CR31370_1 has been created by kgv.

SHA-1: 101430a7d7f27b10959f918ea415bb2278b29b02


Detailed log of new commits:

Author: iko
Date: Fri Feb 21 13:24:28 2020 +0300

    0031370: Documentation - provide information about PBR implementation
    
    PBR documentation (math) has been added as developer guide.
(0092671)
kgv (developer)
2020-06-22 19:37

Please raise the patch in OCCT branch CR31370_1.
(0092788)
bugmaster (administrator)
2020-06-28 11:27

Combination -
OCCT branch : IR-2020-06-26
master SHA - 832a6f4412321ca784bbb36916dc740d04a05c0c
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-06-26 SHA - 180ab3ca4e501bda3da57c99a8ac8b220db33df3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17164.36000000016 / 17160.400000000114 [+0.02%]
Products
Total CPU difference: 11173.720000000081 / 11197.400000000112 [-0.21%]
Windows-64-VC14:
OCCT
Total CPU difference: 18707.65625 / 18650.578125 [+0.31%]
Products
Total CPU difference: 13062.6875 / 13012.71875 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092804)
git (administrator)
2020-06-28 12:48

Branch CR31370_1 has been deleted by inv.

SHA-1: 101430a7d7f27b10959f918ea415bb2278b29b02
(0092805)
git (administrator)
2020-06-28 12:48

Branch CR31370 has been deleted by inv.

SHA-1: 40c9acd74be8eca073e87addda92cb9f1b1958f8

- Related Changesets
occt: master 4e8371cb
Timestamp: 2020-02-21 10:24:28
Author: iko
Committer: bugmaster
Details ] Diff ]
0031370: Documentation - provide information about PBR implementation

PBR documentation (math) has been added as developer guide.
mod - dox/dev_guides/dev_guides.md Diff ] File ]
add - dox/dev_guides/visualization/pbr_math.md Diff ] File ]
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/FILES_PDF.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-02-12 17:14 kgv New Issue
2020-02-12 17:14 kgv Assigned To => iko
2020-02-12 17:14 kgv Relationship added child of 0030700
2020-02-21 13:25 git Note Added: 0090610
2020-02-25 17:45 git Note Added: 0090679
2020-06-21 14:18 git Note Added: 0092630
2020-06-21 15:03 git Note Added: 0092631
2020-06-21 17:25 git Note Added: 0092632
2020-06-22 12:31 git Note Added: 0092644
2020-06-22 13:05 git Note Added: 0092646
2020-06-22 13:17 git Note Added: 0092647
2020-06-22 13:25 git Note Added: 0092649
2020-06-22 14:38 git Note Added: 0092653
2020-06-22 14:58 git Note Added: 0092656
2020-06-22 18:30 git Note Added: 0092665
2020-06-22 18:45 git Note Added: 0092667
2020-06-22 18:59 git Note Added: 0092668
2020-06-22 19:09 git Note Added: 0092669
2020-06-22 19:10 git Note Added: 0092670
2020-06-22 19:37 kgv Note Added: 0092671
2020-06-22 19:37 kgv Assigned To iko => bugmaster
2020-06-22 19:37 kgv Status new => resolved
2020-06-22 19:37 kgv Status resolved => reviewed
2020-06-28 11:27 bugmaster Note Added: 0092788
2020-06-28 11:27 bugmaster Status reviewed => tested
2020-06-28 11:30 bugmaster Test case number => Not required
2020-06-28 12:35 bugmaster Changeset attached => occt master 4e8371cb
2020-06-28 12:35 bugmaster Status tested => verified
2020-06-28 12:35 bugmaster Resolution open => fixed
2020-06-28 12:48 git Note Added: 0092804
2020-06-28 12:48 git Note Added: 0092805
2020-07-02 10:34 kgv Relationship added parent of 0031645


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker